<?php 

class ControllerExtensionPaymentPayplantation extends Controller {

	private $error = array(); 
 
	public function index() {
		
		$this->load->language('extension/payment/payplantation');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
		
		$data['breadcrumbs'] = array();
		$tokenName="token";
		$redirDest="extension/extension";

		if (array_key_exists("user_token",$this->session->data)) {
			$tokenName="user_token";
			$redirDest="marketplace/extension";
		}
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate() ) {
			$this->model_setting_setting->editSetting('payment_payplantation', $this->request->post);
			///
			$this->session->data['success'] = $this->language->get('text_success');
			
			$this->response->redirect($this->url->link($redirDest, $tokenName.'=' . $this->session->data[$tokenName], 'SSL'));
		}
		
		$data['heading_title'] = $this->language->get('heading_title');
	
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['text_payment'] = $this->language->get('text_payment');
		$data['text_defered'] = $this->language->get('text_defered');
		$data['text_authenticate'] = $this->language->get('text_authenticate');

		$data['text_all_zones'] = $this->language->get('text_all_zones');
		
		$data['entry_api'] = $this->language->get('entry_api');
		$data['entry_key'] = $this->language->get('entry_key');

		$data['entry_log'] = $this->language->get('entry_log');

		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_order_status'] = $this->language->get('entry_order_status');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		
		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['entry_complete'] = $this->language->get('entry_complete');
		$data['entry_canceled'] = $this->language->get('entry_canceled');

		$this->load->model('localisation/order_status');

		
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		// FIN DE ERRORES
		
		$data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', $tokenName.'=' . $this->session->data[$tokenName], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_payment'),
			'href'      => $this->url->link('extension/payment', $tokenName.'=' . $this->session->data[$tokenName], 'SSL')      		
		);

		$data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('extension/payment/payplantation', $tokenName.'=' . $this->session->data[$tokenName], 'SSL')
		);
		
		$data['action'] = $this->url->link('extension/payment/payplantation', $tokenName.'=' . $this->session->data[$tokenName], 'SSL');

		$data['cancel'] = $this->url->link('extension/extension', $tokenName.'=' . $this->session->data[$tokenName], 'SSL');
		
		
		//RECOGIDA DE PARAM.
		


		if (isset($this->request->post['payplantation_api'])) {
			$data['payplantation_api'] = $this->request->post['payplantation_api'];
		} else {
			$data['payplantation_api'] = $this->config->get('payplantation_api');
		}

		if (isset($this->request->post['payplantation_key'])) {
			$data['payplantation_key'] = $this->request->post['payplantation_key'];
		} else {
			$data['payplantation_key'] = $this->config->get('payplantation_key');
		}


	     if (isset($this->request->post['payplantation_complete'])) {
			$data['payplantation_complete'] = $this->request->post['payplantation_complete'];
		} else {
			$data['payplantation_complete'] = $this->config->get('payplantation_complete');
		}

		if (isset($this->request->post['payplantation_canceled'])) {
			$data['payplantation_canceled'] = $this->request->post['payplantation_canceled'];
		} else {
			$data['payplantation_canceled'] = $this->config->get('payplantation_canceled');
		}
		if (isset($this->request->post['payplantation_log'])) {
			$data['payplantation_log'] = $this->request->post['payplantation_log'];
		} else {
			$data['payplantation_log'] = $this->config->get('payplantation_log');
		}
		

		if (isset($this->request->post['payplantation_status'])) {
			$data['payplantation_status'] = $this->request->post['payplantation_status'];
		} else {
			$data['payplantation_status'] = $this->config->get('payplantation_status');
		}
		
		if (isset($this->request->post['payment_payplantation_status'])) {
			$data['payment_payplantation_status'] = $this->request->post['payment_payplantation_status'];
		} else {
			$data['payment_payplantation_status'] = $this->config->get('payment_payplantation_status');
		}

		if (isset($this->request->post['payplantation_order_status_id'])) {
			$data['payplantation_order_status_id'] = $this->request->post['payplantation_order_status_id'];
		} else {
			$data['payplantation_order_status_id'] = $this->config->get('payplantation_order_status_id'); 
		} 

		$this->load->model('localisation/order_status');

		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
		
		
		if (isset($this->request->post['payplantation_sort_order'])) {
			$data['payplantation_sort_order'] = $this->request->post['payplantation_sort_order'];
		} else {
			$data['payplantation_sort_order'] = $this->config->get('payplantation_sort_order');
		}
	

		$this->load->model('localisation/geo_zone');

		$data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();
		
		
		//FIN DE RECOGIDA DE PARAMS.


		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/payment/payplantation', $data));
 
	}
	private function validate() {
			
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	

	}
}
?>